]> git.draconx.ca Git - rarpd-dx.git/blobdiff - bootstrap
Import bootstrap script etc.
[rarpd-dx.git] / bootstrap
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..4aa3cc4
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright © 2011-2012, 2015, 2021-2023 Nick Bowler
+#
+# Simple script to get started from a fresh git checkout.
+#
+# License WTFPL2: Do What The Fuck You Want To Public License, version 2.
+# This is free software: you are free to do what the fuck you want to.
+# There is NO WARRANTY, to the extent permitted by law.
+
+scriptname=$0
+
+err () { printf '%s: %s\n' "$scriptname" "$*" 1>&2; }
+die () { err "$@"; exit 1; }
+
+: ${AUTORECONF=autoreconf}
+: ${AUTOMAKE=automake}
+
+# Punt some automake-generated files so that Gentoo's wrapper script doesn't
+# try to detect the automake version in use.
+rm -f Makefile.in aclocal.m4
+$AUTORECONF -fis || exit
+
+amdir=`$AUTOMAKE --print-libdir`
+if test -f "$amdir/INSTALL"; then
+  ln -sf "$amdir/INSTALL" INSTALL
+fi